package com.zd.laboratory.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 安全检查隐患表对象 lab_check_record_details
 *
 * @author zd
 * @date 2021-12-30
 */
@ApiModel("安全检查隐患表")
public class LabCheckRecordDetails extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 检查记录表主键 */
    @Excel(name = "检查记录表主键")
    @ApiModelProperty(value = "检查记录表主键")
    private Long checkId;
    /** 检查项单号 */
    @Excel(name = "检查项单号")
    @Length(message = "检查项单号长度不能超过50")
    @ApiModelProperty(value = "检查项单号")
    private String jcxNum;//隐患单号
    /** 检查项id */
    @Excel(name = "检查项id")
    @Length(message = "检查项id长度不能超过20")
    @ApiModelProperty(value = "检查项id")
    private String jcxId;
    /** 检查项名称 */
    @Excel(name = "检查项名称")
    @Length(message = "检查项名称长度不能超过255")
    @ApiModelProperty(value = "检查项名称")
    private String jcxName;
    /** 隐患描述 */
    @Excel(name = "隐患描述")
    @Length(message = "隐患描述长度不能超过255")
    @ApiModelProperty(value = "隐患描述")
    private String yhMs;
    /** 隐患图片 */
    @Excel(name = "隐患图片")
    @Length(message = "隐患图片长度不能超过500")
    @ApiModelProperty(value = "隐患图片")
    private String yhImg;
    /** 隐患整改后图片 */
    @Excel(name = "隐患整改后图片")
    @Length(message = "隐患整改后图片长度不能超过500")
    @ApiModelProperty(value = "隐患整改后图片")
    private String yhZghImg;
    /** 语音 */
    @Excel(name = "语音")
    @Length(message = "语音长度不能超过1000")
    @ApiModelProperty(value = "语音")
    private String voice;
    /** 原因分析 */
    @Excel(name = "原因分析")
    @Length(message = "原因分析长度不能超过255")
    @ApiModelProperty(value = "原因分析")
    private String zgYyfx;
    /** 整改措施 */
    @Excel(name = "整改措施")
    @Length(message = "整改措施长度不能超过255")
    @ApiModelProperty(value = "整改措施")
    private String zgCs;
    /** 整改描述 */
    @Excel(name = "整改描述")
    @Length(message = "整改描述长度不能超过255")
    @ApiModelProperty(value = "整改描述")
    private String zgMs;
    /** 证明材料图片 */
    @Excel(name = "证明材料图片")
    @Length(message = "证明材料图片长度不能超过300")
    @ApiModelProperty(value = "证明材料图片")
    private String zmClImg;
    /** 证明材料描述 */
    @Excel(name = "证明材料描述")
    @Length(message = "证明材料描述长度不能超过255")
    @ApiModelProperty(value = "证明材料描述")
    private String zmClMs;
    /** 是否临时检查项 */
    @Excel(name = "是否临时检查项")
    @ApiModelProperty(value = "是否临时检查项")
    private Long isLingshi;

    /** 是否已整改 0是 1否 */
    @Excel(name = "是否已整改 0是 1否")
    @ApiModelProperty(value = "是否已整改 0是 1否")
    private Long isZg;

    /** 检查项所属条款编号 */
    @Excel(name = "检查项所属条款编号")
    @ApiModelProperty(value = "检查项所属条款编号")
    private String jcxSstkNum;

    /** 检查项所属条款描述 */
    @Excel(name = "检查项所属条款描述")
    @ApiModelProperty(value = "检查项所属条款描述")
    private String jcxSstkMs;

    @Excel(name = "整改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @ApiModelProperty(value = "整改时间")
    private Date zgTime;

    /** 整改人姓名 */
    @Excel(name = "整改人姓名")
    @ApiModelProperty(value = "整改人姓名")
    private String zgUserName;

    /** 整改人id */
    @Excel(name = "整改人id")
    @ApiModelProperty(value = "整改人id")
    private Long zgUserId;

    @Excel(name = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @ApiModelProperty(value = "审核时间")
    private Date spTime;

    /** 审核人 */
    @Excel(name = "审核人")
    @ApiModelProperty(value = "审核人")
    private String spUserName;

    /** 审核人id */
    @Excel(name = "审核人id")
    @ApiModelProperty(value = "审核人id")
    private Long spUserId;

    /** 审核状态 0驳回 1通过 */
    @Excel(name = "审核状态 0驳回 1通过")
    @ApiModelProperty(value = "审核状态 0驳回 1通过")
    private Integer spStatus;

    /** 是否暂无法整改 0否 1是 */
    @Excel(name = "是否暂无法整改 0否 1是")
    @ApiModelProperty(value = "是否暂无法整改 0否 1是")
    private Integer isZgStatus;

    /** 审核说明 */
    @Excel(name = "审核说明")
    @ApiModelProperty(value = "审核说明")
    private String spMs;

    public Integer getIsZgStatus() {        return isZgStatus;    }

    public void setIsZgStatus(Integer isZgStatus) {        this.isZgStatus = isZgStatus;
    }
    public String getJcxSstkNum() {
        return jcxSstkNum;
    }

    public void setJcxSstkNum(String jcxSstkNum) {
        this.jcxSstkNum = jcxSstkNum;
    }

    public String getJcxSstkMs() {
        return jcxSstkMs;
    }

    public void setJcxSstkMs(String jcxSstkMs) {
        this.jcxSstkMs = jcxSstkMs;
    }

    public Date getZgTime() {
        return zgTime;
    }

    public void setZgTime(Date zgTime) {
        this.zgTime = zgTime;
    }

    public String getZgUserName() {
        return zgUserName;
    }

    public void setZgUserName(String zgUserName) {
        this.zgUserName = zgUserName;
    }

    public Long getZgUserId() {
        return zgUserId;
    }

    public void setZgUserId(Long zgUserId) {
        this.zgUserId = zgUserId;
    }

    public Date getSpTime() {
        return spTime;
    }

    public void setSpTime(Date spTime) {
        this.spTime = spTime;
    }

    public String getSpUserName() {
        return spUserName;
    }

    public void setSpUserName(String spUserName) {
        this.spUserName = spUserName;
    }

    public Long getSpUserId() {
        return spUserId;
    }

    public void setSpUserId(Long spUserId) {
        this.spUserId = spUserId;
    }

    public Integer getSpStatus() {
        return spStatus;
    }

    public void setSpStatus(Integer spStatus) {
        this.spStatus = spStatus;
    }

    public String getSpMs() {
        return spMs;
    }

    public void setSpMs(String spMs) {
        this.spMs = spMs;
    }

    /** 检查项所有级别名称名称 */
    private String allCheckOptionName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCheckId(Long checkId)
    {
        this.checkId = checkId;
    }

    public Long getCheckId()
    {
        return checkId;
    }
    public void setJcxId(String jcxId)
    {
        this.jcxId = jcxId;
    }

    public String getJcxId()
    {
        return jcxId;
    }
    public void setJcxName(String jcxName)
    {
        this.jcxName = jcxName;
    }

    public String getJcxName()
    {
        return jcxName;
    }
    public void setYhMs(String yhMs)
    {
        this.yhMs = yhMs;
    }

    public String getYhMs()
    {
        return yhMs;
    }
    public void setYhImg(String yhImg)
    {
        this.yhImg = yhImg;
    }

    public String getYhImg()
    {
        return yhImg;
    }
    public void setYhZghImg(String yhZghImg)
    {
        this.yhZghImg = yhZghImg;
    }

    public String getYhZghImg()
    {
        return yhZghImg;
    }
    public void setZgYyfx(String zgYyfx)
    {
        this.zgYyfx = zgYyfx;
    }

    public String getZgYyfx()
    {
        return zgYyfx;
    }
    public void setZgCs(String zgCs)
    {
        this.zgCs = zgCs;
    }

    public String getZgCs()
    {
        return zgCs;
    }
    public void setZgMs(String zgMs)
    {
        this.zgMs = zgMs;
    }

    public String getZgMs()
    {
        return zgMs;
    }
    public void setZmClImg(String zmClImg)
    {
        this.zmClImg = zmClImg;
    }

    public String getZmClImg()
    {
        return zmClImg;
    }
    public void setZmClMs(String zmClMs)
    {
        this.zmClMs = zmClMs;
    }

    public String getZmClMs()
    {
        return zmClMs;
    }
    public Long getIsLingshi() {        return isLingshi;    }

    public void setIsLingshi(Long isLingshi) {        this.isLingshi = isLingshi;    }
    public Long getIsZg() {        return isZg;    }

    public void setIsZg(Long isZg) {        this.isZg = isZg;    }
    public String getVoice() {        return voice;    }

    public void setVoice(String voice) {        this.voice = voice;    }
    public String getJcxNum() {        return jcxNum;    }

    public void setJcxNum(String jcxNum) {        this.jcxNum = jcxNum;    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("checkId", getCheckId())
                .append("jcxNum", getJcxNum())
                .append("jcxId", getJcxId())
                .append("jcxName", getJcxName())
                .append("yhMs", getYhMs())
                .append("yhImg", getYhImg())
                .append("yhZghImg", getYhZghImg())
                .append("voice", getVoice())
                .append("zgYyfx", getZgYyfx())
                .append("zgCs", getZgCs())
                .append("zgMs", getZgMs())
                .append("zmClImg", getZmClImg())
                .append("zmClMs", getZmClMs())
                .append("createTime", getCreateTime())
                .append("isLingshi", getIsLingshi())
                .append("isZg", getIsZg())
                .append("jcxSstkNum", getJcxSstkNum())
                .append("jcxSstkMs", getJcxSstkMs())
                .append("zgTime", getZgTime())
                .append("zgUserName", getZgUserName())
                .append("zgUserId", getZgUserId())
                .append("spTime", getSpTime())
                .append("spUserName", getSpUserName())
                .append("spUserId", getSpUserId())
                .append("spStatus", getSpStatus())
                .append("isZgStatus", getIsZgStatus())
                .append("spMs", getSpMs())
                .toString();
    }

    public String getAllCheckOptionName() {
        return allCheckOptionName;
    }

    public void setAllCheckOptionName(String allCheckOptionName) {
        this.allCheckOptionName = allCheckOptionName;
    }
}
